<?php
session_start();
error_reporting(0);

date_default_timezone_set('america/mexico_city');
include "../js/conectpoo.php";

switch($_GET['op']){

case '3':{ 
$iduser = $_GET['iduser'];
$tablereg = $_GET['tablereg'];
$objeto= new db();
$datosbanner=$objeto->delete($tablereg, $iduser);
$contenido=<<<content
    $datosbanner
content;
}
break;

        
case '44':{
$cliente=$_GET['cliente'];

$kuery ="SELECT * FROM `proyectos` WHERE `id_cliente` = $cliente";
$objeto= new db();
$datosbanner=$objeto->consultaregistros($kuery);
    for($x=0;$x<count($datosbanner);$x++){
		$id_proyectos =  $datosbanner[$x]['id_proyectos'];
		$id_cliente =  $datosbanner[$x]['id_cliente'];
		$nombre =  $datosbanner[$x]['nombre'];
		$fecha =  $datosbanner[$x]['fecha'];

		$resp.=<<<jjj
$id_proyectos * $nombre -
jjj;
	}
$resp = substr($resp, 0, -2);
$contenido = $resp;
}break;

        
case '56':{
$proy=$_GET['proy'];
$kuery ="SELECT * FROM `proyectos` WHERE `id_proyectos` = $proy";
$objeto= new db();
$datosbanner=$objeto->consultaregistros($kuery);
    for($x=0;$x<count($datosbanner);$x++){
        $id_proyectos =  $datosbanner[$x]['id_proyectos'];
        $nombre =  $datosbanner[$x]['nombre'];
        $m2 =  $datosbanner[$x]['m2'];
        $id_cliente =  $datosbanner[$x]['id_cliente'];
        $idlineadenegocio =  $datosbanner[$x]['idlineadenegocio'];
        $idtipologia =  $datosbanner[$x]['idtipologia'];
        $cc =  $datosbanner[$x]['cc'];

        $resp.=<<<jjj
$id_proyectos * $nombre * $m2 * $id_cliente * $idlineadenegocio * $idtipologia * $cc -
jjj;
    }
$resp = substr($resp, 0, -2);
$contenido = $resp;
}break;
        

case '66':{
$cliente=$_GET['cliente'];
$kuery = "SELECT ingresos.fecha AS fecha, (SELECT clientes.Razon_social FROM clientes WHERE clientes.id_clientes=(SELECT cc.id_cliente FROM cc WHERE cc.id_cc = ingresos.id_cc)) AS cliente, (SELECT cc.nombre FROM cc where cc.id_cc=ingresos.id_cc) AS centro, ingresos.montoreal AS monto, ingresos.fecha_real AS fecha_ingreso, (SELECT cuentas.nombre FROM cuentas WHERE cuentas.id_cuentas=ingresos.id_cuentas) AS cuenta, ingresos.comprobable AS comprobable, ingresos.comentarios AS comentarios, ingresos.id_ingresos FROM ingresos WHERE (SELECT cc.id_cliente FROM cc WHERE cc.id_cc = ingresos.id_cc)>0 ORDER BY ingresos.fecha_real DESC";
    $objeto= new db();
$resultado = $objeto->consultaregistros($kuery);

    
for($x=0; $x < count($resultado); $x++){
    $fecha =  $resultado[$x]['fecha'];
    $cliente =  $resultado[$x]['cliente'];
    $centro =  $resultado[$x]['centro'];
    $monto =  $resultado[$x]['monto'];
    $fecha_ingreso =  $resultado[$x]['fecha_ingreso'];
    $cuenta =  $resultado[$x]['cuenta'];
    $comprobable =  $resultado[$x]['comprobable'];
    $comentarios =  $resultado[$x]['comentarios'];
    $id_ingreso = $resultado[$x]['id_ingresos'];

    $resp.=<<<jjj
        $cliente * $centro * $cuenta * $comprobable * $comentarios * $fecha_ingreso * $monto * $fecha * $id_ingreso _
jjj;
}
    
$contenido = $resp;    
}break;

        
case '67':{
$cliente=$_GET['cliente'];
$sArray=$_GET['sArray'];
$filtros = '';  
    if($sArray[0]>0 && $sArray[1]==0 && $sArray[2]==0){
        $filtros = " clientes.id_clientes='".$sArray[0]."' ";
        
    } else if($sArray[0]>0 && $sArray[1]>0 && $sArray[2]==0){
        $filtros = " proyectos.id_proyectos='".$sArray[1]."' ";
        
    } else if($sArray[0]>0 && $sArray[1]==0 && $sArray[2]>0){
        $filtros = " clientes.id_clientes='".$sArray[0]."' AND proyectos.idlineadenegocio='".$sArray[2]."' ";
    
    }else if($sArray[0]==0 && $sArray[1]==0 && $sArray[2]>0){
        $filtros = " proyectos.idlineadenegocio='".$sArray[2]."' ";
    }
    
$kuery = "SELECT ingresos.fecha AS fecha,clientes.Razon_social AS cliente,cc.nombre AS centro,ingresos.montoreal AS monto,ingresos.fecha_real AS fecha_ingreso,cuentas.nombre AS cuenta,ingresos.comprobable AS comprobable,ingresos.comentarios AS comentarios,ingresos.id_ingresos FROM cuentas INNER JOIN ingresos ON ingresos.id_cuentas=cuentas.id_cuentas INNER JOIN usuarios ON ingresos.id_usuarios=usuarios.id_usuarios INNER JOIN cc ON ingresos.id_cc=cc.id_cc INNER JOIN clientes ON cc.id_cliente=clientes.id_clientes INNER JOIN datosmaestros ON cc.id_lnegocio=datosmaestros.id_datosmaestros INNER JOIN proyectos ON ingresos.id_cc=proyectos.cc WHERE $filtros ORDER BY ingresos.fecha_real  DESC";
$objeto= new db();
$resultado = $objeto->consultaregistros($kuery);

    
for($x=0; $x < count($resultado); $x++){
    $fecha =  $resultado[$x]['fecha'];
    $cliente =  $resultado[$x]['cliente'];
    $centro =  $resultado[$x]['centro'];
    $monto =  $resultado[$x]['monto'];
    $fecha_ingreso =  $resultado[$x]['fecha_ingreso'];
    $cuenta =  $resultado[$x]['cuenta'];
    $comprobable =  $resultado[$x]['comprobable'];
    $comentarios =  $resultado[$x]['comentarios'];
    $id_ingreso = $resultado[$x]['id_ingresos'];

    $resp.=<<<jjj
        $cliente * $centro * $cuenta * $comprobable * $comentarios * $fecha_ingreso * $monto * $fecha * $id_ingreso _    
jjj;
}
    //$fecha_ingreso * $cliente * $centro * $cuenta * $comprobable * $comentarios * $monto * $fecha * $id_ingreso _
$contenido = $resp;    
}break;


case '68':{
$id_ingreso=$_GET['idingreso'];
$fecha=$_GET['fecha'];
$monto=$_GET['monto'];
$objeto= new db();
$resultado=$objeto->updateGen('ingresos', 'fecha', $fecha, 'id_ingresos', $id_ingreso);
$resultado=$objeto->updateGen('ingresos', 'montoreal', $monto, 'id_ingresos', $id_ingreso);

$contenido=$resultado;    
}break;


case '69':{
$sArray=$_GET['sArray'];
$filtros = '';

if($sArray[0]==0){
    if($sArray[2]==0){
        $filtros = " WHERE (SELECT cc.id_cliente FROM cc WHERE cc.id_cc = ingresos.id_cc)=0 ";
    }else{
        $filtros = " WHERE (SELECT cc.id_cliente FROM cc WHERE cc.id_cc = ingresos.id_cc)=0 AND (SELECT cc.id_lnegocio FROM cc WHERE cc.id_cc = ingresos.id_cc)=$sArray[2] ";
    }
}else{
    $filtros = " WHERE ingresos.id_cc=$sArray[0] ";
}



$kuery = "SELECT ingresos.fecha AS fecha,'N/A' AS cliente, (SELECT cc.nombre FROM cc where cc.id_cc=ingresos.id_cc) AS centro, ingresos.montoreal AS monto, ingresos.fecha_real AS fecha_ingreso, (SELECT cuentas.nombre FROM cuentas WHERE cuentas.id_cuentas=ingresos.id_cuentas) AS cuenta, ingresos.comprobable AS comprobable, ingresos.comentarios AS comentarios, ingresos.id_ingresos FROM ingresos $filtros ORDER BY ingresos.fecha_real DESC";
    $objeto= new db();
$resultado = $objeto->consultaregistros($kuery);

    
for($x=0; $x < count($resultado); $x++){
    $fecha =  $resultado[$x]['fecha'];
    $cliente =  $resultado[$x]['cliente'];
    $centro =  $resultado[$x]['centro'];
    $monto =  $resultado[$x]['monto'];
    $fecha_ingreso =  $resultado[$x]['fecha_ingreso'];
    $cuenta =  $resultado[$x]['cuenta'];
    $comprobable =  $resultado[$x]['comprobable'];
    $comentarios =  $resultado[$x]['comentarios'];
    $id_ingreso = $resultado[$x]['id_ingresos'];

    $resp.=<<<jjj
        $cliente * $centro * $cuenta * $comprobable * $comentarios * $fecha_ingreso * $monto * $fecha * $id_ingreso _
jjj;
}
    
$contenido = $resp;    
}break;


case '82':{
$tabla = $_GET['tabla'];
$sArray = $_GET['sArray'];
$objeto= new db();
$valores="''"; 
for($x=1; $x<count($sArray); $x++){
    $valores = $valores.",'".$sArray[$x]."'";
}

$resultado=$objeto->insertGen($valores, $tabla);

$contenido=$resultado; 
}break;
        
        
}

echo $contenido;


?>
